org.eclipse.cdt.utils.cdtvariables

## Class SupplierBasedCdtVariableSubstitutor.MacroDescriptor

- java.lang.Object
- - org.eclipse.cdt.utils.cdtvariables.SupplierBasedCdtVariableSubstitutor.MacroDescriptor

Enclosing class:
  SupplierBasedCdtVariableSubstitutor

    protected class SupplierBasedCdtVariableSubstitutor.MacroDescriptor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MacroDescriptor(ICdtVariable macro, IVariableContextInfo info, int supplierNum)`
`MacroDescriptor(String name, IVariableContextInfo info)`
`MacroDescriptor(String name, IVariableContextInfo info, int supplierNum)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IVariableContextInfo` `getInfo()`
`ICdtVariable` `getMacro()`
`SupplierBasedCdtVariableSubstitutor.MacroDescriptor` `getNext()`
`int` `getSupplierNum()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MacroDescriptor

    public MacroDescriptor(String name,
                           IVariableContextInfo info)

#### MacroDescriptor

    public MacroDescriptor(String name,
                           IVariableContextInfo info,
                           int supplierNum)

#### MacroDescriptor

    public MacroDescriptor(ICdtVariable macro,
                           IVariableContextInfo info,
                           int supplierNum)

### Method Detail

#### getNext

    public SupplierBasedCdtVariableSubstitutor.MacroDescriptor getNext()

#### getSupplierNum

    public int getSupplierNum()

#### getInfo

    protected IVariableContextInfo getInfo()

#### getMacro

    public ICdtVariable getMacro()